%define name showimg
%define version 0.9.4
%define release 9mdk

%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}

Summary: Picture viewer for KDE
Summary(fr): Un visualiseur d'image pour KDE
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source10: %name-16.png
Source11: %name-32.png
Source12: %name-48.png
License: GPL
Group: Graphics
Url: http://www.jalix.org/projects/showimg/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: png-devel
BuildRequires: tiff-devel
BuildRequires: qt3-devel
BuildRequires: kdebase-devel
BuildRequires: jpeg-devel, libkipi-devel
# BuildRequires: libkexif-devel  (code not in sync)

Requires:	%lib_name = %version-%release
Requires:	kipi-plugins

%description
ShowImg is a picture viewer for KDE. It supports some features
missing in existing picture viewer:
- full screen,
- mouse wheel support
- slideshow,
- search for duplicates,
- some format conversion.

%package -n %lib_name-devel
Summary:    Header files for ShowImg
Group:      Development/KDE and Qt
Requires:   %lib_name = %version-%release
Provides:	showimg-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname showing 1}-devel
Provides:	%{mklibname showing 1}-devel = %{version}-%{release}
# (gb) don't bother providing this as nobody used it anyway in the distro
#Provides:	showing-devel = %version-%release

%description -n %lib_name-devel
Headers files for ShowImg.

%package -n %lib_name
Summary:    Header files for ShowImg
Group:      Graphical desktop/KDE
Obsoletes:	%{mklibname showing 1}
Provides:   %{mklibname showing 1} = %{version}-%{release}

%description -n %lib_name
Headers files for ShowImg.


%description -l fr
ShowImg est un visualeur d'image pour KDE. Il comble
certains manques des visualiseurs dj disponible:
- plein cran,
- support de la roulette des souris,
- slideshow,
- recherche de doublons,
- conversion en diffrents formats.

%prep
%setup -q

%build
%if "%{_lib}" != "lib"
kdelibsuffix="--enable-libsuffix=%(A=%{_lib}; echo ${A/lib/})"
%endif
./configure \
	--prefix=%_prefix \
	--libdir=%_libdir $kdelibsuffix \
	--mandir=%_mandir \
	--disable-rpath

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}

%makeinstall_std

cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png

kdedesktop2mdkmenu.pl %name Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/%name.desktop %buildroot/%_menudir/%name


%find_lang %name
rm -f $RPM_BUILD_ROOT/%{_datadir}/mimelnk/image/x-psd.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus


%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%defattr(-,root,root,-)
%_libdir/kde3/libshowimgpart.*
%_libdir/libshowimgcore.so.*
%_libdir/libshowimgcore.la

%files -n %lib_name-devel
%defattr(-,root,root,-)
%_libdir/libshowimgcore.so

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS CHANGES ChangeLog INSTALL NEWS NOTES README
%_bindir/%name

%_mandir/man1/*

%dir %_datadir/applnk/Graphics/
%_datadir/applnk/Graphics/%name.desktop

%dir %_datadir/apps/showimg/

%dir %_datadir/apps/konqueror/servicemenus/
%_datadir/apps/konqueror/servicemenus/konqshowimg.desktop

%_datadir/apps/showimg/*.pl

%dir %_datadir/apps/showimg/icons/
%dir %_datadir/apps/showimg/icons/crystalsvg/
%dir %_datadir/apps/showimg/icons/crystalsvg/16x16/
%dir %_datadir/apps/showimg/icons/crystalsvg/16x16/actions/
%_datadir/apps/showimg/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/showimg/icons/crystalsvg/22x22/
%dir %_datadir/apps/showimg/icons/crystalsvg/22x22/actions/
%_datadir/apps/showimg/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/showimg/icons/crystalsvg/32x32/
%dir %_datadir/apps/showimg/icons/crystalsvg/32x32/actions/
%_datadir/apps/showimg/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/apps/showimg/icons/hicolor/16x16/
%dir %_datadir/apps/showimg/icons/hicolor/16x16/actions/
%_datadir/apps/showimg/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/showimg/icons/hicolor/22x22/
%dir %_datadir/apps/showimg/icons/hicolor/22x22/actions/
%_datadir/apps/showimg/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/showimg/icons/hicolor/22x22/mimetypes/
%_datadir/apps/showimg/icons/hicolor/22x22/mimetypes/*.png

%dir %_datadir/apps/showimg/icons/hicolor/32x32/
%dir %_datadir/apps/showimg/icons/hicolor/32x32/actions/
%_datadir/apps/showimg/icons/hicolor/32x32/actions/*.png

%dir %_datadir/apps/showimg/icons/hicolor/32x32/mimetypes/
%_datadir/apps/showimg/icons/hicolor/32x32/mimetypes/*.png

%dir %_datadir/apps/showimg/icons/hicolor/48x48/
%dir %_datadir/apps/showimg/icons/hicolor/48x48/mimetypes/
%_datadir/apps/showimg/icons/hicolor/48x48/mimetypes/*.png

%dir %_datadir/apps/showimg/icons/hicolor/64x64/
%dir %_datadir/apps/showimg/icons/hicolor/64x64/mimetypes/
%_datadir/apps/showimg/icons/hicolor/64x64/mimetypes/*.png

%dir %_datadir/apps/showimg/pics/
%_datadir/apps/showimg/pics/*.png
%_datadir/apps/showimg/pics/*.jpg

%_datadir/apps/showimg/showimgui.rc
%_datadir/apps/showimg/tips

%dir %_datadir/apps/showimgpart/
%_datadir/apps/showimgpart/showimgpart.rc


%dir %_datadir/mimelnk/image/
%_datadir/mimelnk/image/x-sia.desktop

%_datadir/doc/HTML/*/%name
%_iconsdir/hicolor/*

%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%_datadir/services/showimgpart.desktop


%changelog
* Thu Mar 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.4-9mdk
- the package and libs are really called showimg

* Wed Mar  9 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.4-8mdk
- fix build on lib64 platforms
- drop libkexif buildrequires since it's not used (code not in sync)

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-7mdk
- Rebuild with new libkexif

* Fri Dec 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-6mdk
- Readd missing changelog 

* Wed Dec 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-5mdk
- Requires kipi-plugins

* Wed Dec 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-4mdk
- Fix menu

* Wed Dec 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-3mdk
- Fix requires

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-1mdk
- 0.9.4

* Wed Jul 07 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.3-1mdk
- 0.9.3

* Thu Apr 22 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.2-1mdk
- 0.9.2
 
* Fri Nov 28 2003 Michael Scherer <misc@mandrake.org> 0.8.1-1mdk 
- 0.8.1

* Wed Oct 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.0-1mdk
- 1st mdk package
